component:
  stage: test-integration
  variables:
    OPENTOFU_VERSION: $LATEST_OPENTOFU_VERSION
    TEST_GITLAB_TOFU_STATE_NAME: ci-integration-$CI_PIPELINE_IID-$CI_NODE_INDEX
    TEST_TF_ROOT: tests/iac
  trigger:
    include: tests/integration-tests/$PIPELINE_NAME.gitlab-ci.yml
    strategy: depend
  parallel:
    matrix:
      - PIPELINE_NAME:
          - Defaults
          - FullPipelineTriggerInChildPipeline
          - JobTemplates
          - TestJob
          - ModuleRelease
          - Destroy
          - ValidatePlanDestroyTriggerInChildPipeline
          - VarFile
          - WarningOnNonEmptyPlan
          - TriggerInChildPipeline
        GITLAB_OPENTOFU_BASE_IMAGE_OS:
          - alpine
          - debian
